<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>Documentation</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">Documentation</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/angleweb.html" class="">AngleWeb</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/angleweb-htmlbuilder.html" class="">HtmlBuilder</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/angleweb.html">AngleWeb</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/angleweb-htmlbuilder.html">HtmlBuilder</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    AttributeBuilder

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/Application.html">Application</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">10</span>

    </aside>

            <p class="phpdocumentor-summary">HTML Attribute Builder</p>

    <section class="phpdocumentor-description"><p>A class for building HTML attributes as key-value pairs.</p>
</section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                    <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#property_name">$name</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>Attribute name</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#property_separator">$separator</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>Separator to concatenate several values</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#property_value">$value</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;            </span>
</dt>
<dd>Attribute value(s)</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method___construct">__construct()</a>
    <span>
                                &nbsp;: mixed    </span>
</dt>
<dd>Constructor.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_addValue">addValue()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Add a value to the attribute.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_build">build()</a>
    <span>
                                &nbsp;: string    </span>
</dt>
<dd>Build the attribute string.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_getName">getName()</a>
    <span>
                                &nbsp;: string|null    </span>
</dt>
<dd>Get the attribute name.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_getSeparator">getSeparator()</a>
    <span>
                                &nbsp;: string    </span>
</dt>
<dd>Get the separator used to concatenate values.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_getValue">getValue()</a>
    <span>
                                &nbsp;: string|array&lt;string|int, mixed&gt;|null    </span>
</dt>
<dd>Get the attribute value(s).</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_removeDuplicateValue">removeDuplicateValue()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Remove duplicate values from the attribute.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_removeValue">removeValue()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Remove all values or one value from the attribute.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_sanitizeAllValues">sanitizeAllValues()</a>
    <span>
                                &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Sanitize all values from array</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_sanitizeValue">sanitizeValue()</a>
    <span>
                                &nbsp;: string|array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Sanitize value against CSS attacks (Cross-Site Scripting)</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_setName">setName()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Set the attribute name.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_setSeparator">setSeparator()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Set the separator used to concatenate values.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_setValue">setValue()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Set the attribute value(s).</dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_name">
        $name
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#property_name" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">17</span>

    </aside>

        <p class="phpdocumentor-summary">Attribute name</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$name</span>
    </code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_separator">
        $separator
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#property_separator" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">31</span>

    </aside>

        <p class="phpdocumentor-summary">Separator to concatenate several values</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$separator</span>
     = <span class="phpdocumentor-signature__default-value">&#039; &#039;</span></code>

    
        <section class="phpdocumentor-description"><p>Space as default value</p>
</section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_value">
        $value
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#property_value" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">24</span>

    </aside>

        <p class="phpdocumentor-summary">Attribute value(s)</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type">array&lt;string|int, mixed&gt;</span>
    <span class="phpdocumentor-signature__name">$value</span>
    </code>

    
    
    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method___construct">
        __construct()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method___construct" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">39</span>

    </aside>

        <p class="phpdocumentor-summary">Constructor.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">__construct</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;|string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Attribute name.</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;|string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Attribute value(s).</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addValue">
        addValue()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_addValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">105</span>

    </aside>

        <p class="phpdocumentor-summary">Add a value to the attribute.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">addValue</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Attribute value(s).</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_build">
        build()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_build" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">208</span>

    </aside>

        <p class="phpdocumentor-summary">Build the attribute string.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">build</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getName">
        getName()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_getName" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">63</span>

    </aside>

        <p class="phpdocumentor-summary">Get the attribute name.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getName</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string|null</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string|null</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getSeparator">
        getSeparator()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_getSeparator" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">151</span>

    </aside>

        <p class="phpdocumentor-summary">Get the separator used to concatenate values.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getSeparator</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getValue">
        getValue()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_getValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">94</span>

    </aside>

        <p class="phpdocumentor-summary">Get the attribute value(s).</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getValue</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string|array&lt;string|int, mixed&gt;|null</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string|array&lt;string|int, mixed&gt;|null</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_removeDuplicateValue">
        removeDuplicateValue()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_removeDuplicateValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">161</span>

    </aside>

        <p class="phpdocumentor-summary">Remove duplicate values from the attribute.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">removeDuplicateValue</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_removeValue">
        removeValue()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_removeValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">122</span>

    </aside>

        <p class="phpdocumentor-summary">Remove all values or one value from the attribute.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">removeValue</span><span>(</span><span class="phpdocumentor-signature__argument"><span>[</span><span class="phpdocumentor-signature__argument__return-type">string|null&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span><span> = </span><span class="phpdocumentor-signature__argument__default-value">null</span><span> ]</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|null</span>
                 = <span class="phpdocumentor-signature__argument__default-value">null</span>            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>if set, remove only this value</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                    -static                    "
>
    <h4 class="phpdocumentor-element__name" id="method_sanitizeAllValues">
        sanitizeAllValues()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_sanitizeAllValues" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">194</span>

    </aside>

        <p class="phpdocumentor-summary">Sanitize all values from array</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
            <span class="phpdocumentor-signature__static">static</span>        <span class="phpdocumentor-signature__name">sanitizeAllValues</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                    -static                    "
>
    <h4 class="phpdocumentor-element__name" id="method_sanitizeValue">
        sanitizeValue()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_sanitizeValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">175</span>

    </aside>

        <p class="phpdocumentor-summary">Sanitize value against CSS attacks (Cross-Site Scripting)</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
            <span class="phpdocumentor-signature__static">static</span>        <span class="phpdocumentor-signature__name">sanitizeValue</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string|array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string|array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setName">
        setName()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_setName" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">51</span>

    </aside>

        <p class="phpdocumentor-summary">Set the attribute name.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setName</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Attribute name.</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setSeparator">
        setSeparator()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_setSeparator" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">139</span>

    </aside>

        <p class="phpdocumentor-summary">Set the separator used to concatenate values.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setSeparator</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$separator</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$separator</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Separator string.</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setValue">
        setValue()
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#method_setValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/AttributeBuilder.php"><a href="files/src-attributebuilder.html"><abbr title="src/AttributeBuilder.php">AttributeBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">74</span>

    </aside>

        <p class="phpdocumentor-summary">Set the attribute value(s).</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setValue</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Attribute value(s).</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
